commit bf48ad5ec0d15cb022526ad2dec0a110eea88615
Author: freddy77 <freddy77>
Date:   Thu Mar 19 15:12:57 2009 +0000

    add --no-pack option

diff --git a/ChangeLog b/ChangeLog
index 76f7e67..136212b 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Thu Mar 19 16:12:41 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* misc/prepare_win32.sh: no pack option
+
 Thu Mar 19 16:09:30 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/dblib/unittests/common.c src/replacements/basename.c:
 	- fix some problems under win32
@@ -1433,4 +1436,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2757 2009/03/19 15:09:55 freddy77 Exp $
+$Id: ChangeLog,v 1.2758 2009/03/19 15:12:57 freddy77 Exp $
diff --git a/misc/prepare_win32.sh b/misc/prepare_win32.sh
index 72b7a75..8516b3a 100755
--- a/misc/prepare_win32.sh
+++ b/misc/prepare_win32.sh
@@ -10,6 +10,7 @@ errore() {
 NTWDBLIB=no
 TYPE=win32
 ARCHIVE='tar jcvf "freetds-$PACKAGE_VERSION.$TYPE.tar.bz2" "freetds-$PACKAGE_VERSION"'
+PACK=yes
 for param
 do
 	case $param in
@@ -26,6 +27,9 @@ do
 	--ntwdblib)
 		NTWDBLIB=yes
 		;;
+	--no-pack)
+		PACK=no
+		;;
 	--help)
 		echo "Usage: $0 [OPTION]..."
 		echo '  --help          this help'
@@ -33,6 +37,7 @@ do
 		echo '  --zip           compress with zip'
 		echo '  --gzip          compress with gzip'
 		echo '  --ntwdblib      use ntwdblib instead of our'
+		echo "  --no-pack       don't clean and pack files"
 		exit 0
 		;;
 	*)
@@ -274,6 +279,11 @@ fi
 cat errors.txt | grep -v '^.libs/lt-\|^mkdir: cannot create directory ..libs.: File exists$' | perl -ne 'if (/visibility attribute not supported in this configuration/) {$ignore=1;$_=""} else {$ignore=0} ; print $old if !$ignore; $old=$_; END { print $old }' > ../${TYPE}_errors.txt
 rm errors.txt
 
+if test "$PACK" = "no"; then
+	echo "No packaging requested, exiting"
+	exit 0
+fi
+
 rm -rf include doc
 find -name Makefile.in  |xargs rm
 find -name \*.in  | grep -v 'unittests\|PWD' | xargs rm

